annotations: []
smart_annotations: []
nodes:
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: |-
          Building configuration...

          Current configuration : 1071 bytes
          !
          ! Last configuration change at 15:14:41 UTC Tue Feb 18 2025
          !
          version 17.15
          service timestamps debug datetime msec
          service timestamps log datetime msec
          !
          hostname R1
          !
          boot-start-marker
          boot-end-marker
          !
          !
          no logging console
          no aaa new-model
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          no ip domain lookup
          ip cef
          login on-success log
          no ipv6 cef
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          memory free low-watermark processor 80093
          !
          !
          spanning-tree mode rapid-pvst
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          interface Ethernet0/0
           no ip address
           shutdown
          !
          interface Ethernet0/1
           ip address 10.1.1.99 255.255.255.0
           ip nat inside
          !
          interface Ethernet0/2
           ip address 10.1.12.1 255.255.255.0
           ip nat outside
          !
          interface Ethernet0/3
           no ip address
           shutdown
          !
          router ospf 1
           router-id 1.1.1.1
           network 0.0.0.0 255.255.255.255 area 0
          !
          ip forward-protocol nd
          !
          !
          ip http server
          no ip http secure-server
          ip ssh bulk-mode 131072
          no logging btrace
          !
          !
          !
          control-plane
          !
          !
          !
          line con 0
           exec-timeout 0 0
           logging synchronous
          line aux 0
          line vty 0 4
           exec-timeout 0 0
           login
           transport input ssh
          !
          !
          !
          !
          end
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n0
    image_definition: null
    label: R1
    node_definition: iol-xe
    parameters: {}
    ram: null
    tags: []
    x: -200
    y: 0
    interfaces:
      - id: i0
        label: Loopback0
        mac_address: null
        type: loopback
      - id: i1
        label: Ethernet0/0
        mac_address: null
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        mac_address: null
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        mac_address: null
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        mac_address: null
        slot: 3
        type: physical
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: |-
          Building configuration...

          Current configuration : 1118 bytes
          !
          ! Last configuration change at 15:14:41 UTC Tue Feb 18 2025
          !
          version 17.15
          service timestamps debug datetime msec
          service timestamps log datetime msec
          !
          hostname R2
          !
          boot-start-marker
          boot-end-marker
          !
          !
          no logging console
          no aaa new-model
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          no ip domain lookup
          ip domain name example.com
          ip cef
          login on-success log
          no ipv6 cef
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          memory free low-watermark processor 80093
          !
          !
          spanning-tree mode rapid-pvst
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          interface Ethernet0/0
           no ip address
           shutdown
          !
          interface Ethernet0/1
           ip address 10.1.12.2 255.255.255.0
          !
          interface Ethernet0/2
           ip address 10.1.2.99 255.255.255.0
          !
          interface Ethernet0/3
           no ip address
           shutdown
          !
          router ospf 1
           router-id 2.2.2.2
           network 0.0.0.0 255.255.255.255 area 0
          !
          ip forward-protocol nd
          !
          !
          ip http server
          no ip http secure-server
          ip route 172.16.1.0 255.255.255.0 10.10.10.1
          ip ssh bulk-mode 131072
          no logging btrace
          !
          !
          !
          control-plane
          !
          !
          !
          line con 0
           exec-timeout 0 0
           logging synchronous
          line aux 0
          line vty 0 4
           exec-timeout 0 0
           login local
           transport input all
          !
          !
          !
          !
          end
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n1
    image_definition: null
    label: R2
    node_definition: iol-xe
    parameters: {}
    ram: null
    tags: []
    x: 0
    y: 0
    interfaces:
      - id: i0
        label: Loopback0
        mac_address: null
        type: loopback
      - id: i1
        label: Ethernet0/0
        mac_address: null
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        mac_address: null
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        mac_address: null
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        mac_address: null
        slot: 3
        type: physical
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: |-
          Building configuration...

          Current configuration : 1587 bytes
          !
          ! Last configuration change at 15:14:41 UTC Tue Feb 18 2025 by cisco
          !
          version 17.15
          service timestamps debug datetime msec
          service timestamps log datetime msec
          !
          hostname R-as-Hosts
          !
          boot-start-marker
          boot-end-marker
          !
          !
          no logging console
          no aaa new-model
          !
          !
          !
          !
          ip vrf host1
           rd 111:1
          !
          ip vrf host2
           rd 111:2
          !
          ip vrf host3
           rd 111:3
          !
          ip vrf host4
           rd 111:4
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          no ip domain lookup
          ip domain name networkupskill.com
          ip cef
          login on-success log
          no ipv6 cef
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          memory free low-watermark processor 80093
          !
          !
          spanning-tree mode rapid-pvst
          !
          enable secret 9 $9$3rVaAGh2VFCLaE$JAAzYmLiLl5BoPgMc4W6scoE6STb1XBSiz9boGNiVew
          !
          username cisco secret 9 $9$hEgt0z8P62adCU$9.a3VQ.PcbqFix5FVOnMKCwDtMm5rWVVgDZDyxA1LeM
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          interface Ethernet0/0
           description Use for 1st host (vrf host1); address/mask depends on the lab
           ip vrf forwarding host1
           ip address 10.1.1.1 255.255.255.0
          !
          interface Ethernet0/1
           description Use for 2nd host (vrf host2); address/mask depends on the lab
           ip vrf forwarding host2
           ip address 10.1.2.2 255.255.255.0
          !
          interface Ethernet0/2
           no ip address
           shutdown
          !
          interface Ethernet0/3
           no ip address
           shutdown
          !
          ip forward-protocol nd
          !
          !
          ip http server
          no ip http secure-server
          ip route vrf host1 0.0.0.0 0.0.0.0 10.1.1.99
          ip route vrf host2 0.0.0.0 0.0.0.0 10.1.2.99
          ip ssh bulk-mode 131072
          no logging btrace
          !
          !
          !
          control-plane
          !
          !
          !
          line con 0
           exec-timeout 0 0
           logging synchronous
           login local
          line aux 0
          line vty 0 4
           exec-timeout 0 0
           login local
           transport input all
          !
          !
          !
          !
          end
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n2
    image_definition: null
    label: R-as-Hosts
    node_definition: iol-xe
    parameters: {}
    ram: null
    tags: []
    x: -80
    y: 200
    interfaces:
      - id: i0
        label: Loopback0
        mac_address: null
        type: loopback
      - id: i1
        label: Ethernet0/0
        mac_address: null
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        mac_address: null
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        mac_address: null
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        mac_address: null
        slot: 3
        type: physical
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: |-
          Building configuration...

          Current configuration : 905 bytes
          !
          ! Last configuration change at 15:14:42 UTC Tue Feb 18 2025
          !
          version 17.15
          service timestamps debug datetime msec
          service timestamps log datetime msec
          !
          hostname SW1
          !
          boot-start-marker
          boot-end-marker
          !
          !
          no logging console
          no aaa new-model
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          ip audit notify log
          ip audit po max-events 100
          ip cef
          login on-success log
          no ipv6 cef
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          memory free low-watermark processor 79593
          !
          !
          spanning-tree mode rapid-pvst
          spanning-tree extend system-id
          !
          !
          vlan internal allocation policy ascending
          !
          !
          !
          !
          !
          interface Ethernet0/0
          !
          interface Ethernet0/1
          !
          interface Ethernet0/2
          !
          interface Ethernet0/3
          !
          ip forward-protocol nd
          !
          !
          ip http server
          no ip http secure-server
          ip ssh bulk-mode 131072
          !
          no logging btrace
          !
          !
          !
          control-plane
          !
          !
          !
          line con 0
           exec-timeout 0 0
           logging synchronous
          line aux 0
          line vty 0 4
           exec-timeout 0 0
           login
           transport input ssh
          !
          !
          end
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n3
    image_definition: null
    label: SW1
    node_definition: ioll2-xe
    parameters: {}
    ram: null
    tags: []
    x: -360
    y: 0
    interfaces:
      - id: i0
        label: Loopback0
        mac_address: null
        type: loopback
      - id: i1
        label: Ethernet0/0
        mac_address: null
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        mac_address: null
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        mac_address: null
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        mac_address: null
        slot: 3
        type: physical
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: |-
          Building configuration...

          Current configuration : 905 bytes
          !
          ! Last configuration change at 15:14:41 UTC Tue Feb 18 2025
          !
          version 17.15
          service timestamps debug datetime msec
          service timestamps log datetime msec
          !
          hostname SW2
          !
          boot-start-marker
          boot-end-marker
          !
          !
          no logging console
          no aaa new-model
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          ip audit notify log
          ip audit po max-events 100
          ip cef
          login on-success log
          no ipv6 cef
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          memory free low-watermark processor 79593
          !
          !
          spanning-tree mode rapid-pvst
          spanning-tree extend system-id
          !
          !
          vlan internal allocation policy ascending
          !
          !
          !
          !
          !
          interface Ethernet0/0
          !
          interface Ethernet0/1
          !
          interface Ethernet0/2
          !
          interface Ethernet0/3
          !
          ip forward-protocol nd
          !
          !
          ip http server
          no ip http secure-server
          ip ssh bulk-mode 131072
          !
          no logging btrace
          !
          !
          !
          control-plane
          !
          !
          !
          line con 0
           exec-timeout 0 0
           logging synchronous
          line aux 0
          line vty 0 4
           exec-timeout 0 0
           login
           transport input ssh
          !
          !
          end
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n4
    image_definition: null
    label: SW2
    node_definition: ioll2-xe
    parameters: {}
    ram: null
    tags: []
    x: 200
    y: 0
    interfaces:
      - id: i0
        label: Loopback0
        mac_address: null
        type: loopback
      - id: i1
        label: Ethernet0/0
        mac_address: null
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        mac_address: null
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        mac_address: null
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        mac_address: null
        slot: 3
        type: physical
links:
  - id: l0
    n1: n0
    n2: n1
    i1: i3
    i2: i2
    conditioning: {}
    label: R1-Ethernet0/2<->R2-Ethernet0/1
  - id: l1
    n1: n3
    n2: n0
    i1: i1
    i2: i2
    conditioning: {}
    label: iol-l2-0-Ethernet0/0<->R1-Ethernet0/1
  - id: l2
    n1: n3
    n2: n2
    i1: i2
    i2: i1
    conditioning: {}
    label: iol-l2-0-Ethernet0/1<->R-as-Hosts-Ethernet0/0
  - id: l3
    n1: n4
    n2: n1
    i1: i1
    i2: i3
    conditioning: {}
    label: SW2-Ethernet0/0<->R2-Ethernet0/2
  - id: l4
    n1: n4
    n2: n2
    i1: i2
    i2: i2
    conditioning: {}
    label: SW2-Ethernet0/1<->R-as-Hosts-Ethernet0/1
lab:
  description: ''
  notes: ''
  title: cml-2025-05-01
  version: 0.3.0
